--
-- Copyright 2008 Jeffrey Friedl
-- http://regex.info/blog/
--

local LrView = import 'LrView'
local util   = require 'util'

local resolution = {}

function resolution.dialog_section(v,state)

   local function use()
      state.LR_size_resolution      = state.pixel_resolution_value
      state.LR_size_resolutionUnits = state.pixel_resolution_units
   end

   state:addObserver('pixel_resolution_value', use)
   state:addObserver('pixel_resolution_units', use)

   use()

   return v:row {

      v:static_text { title = LOC("$$$/134=Resolution value to record in metadata:") },

      v:edit_field {
         width_in_digits = 4,
         min = 1,
         max = 10000,
         precision = 0,
         increment = 50,
         large_increment = 100,
         alignment = 'right',
         value = LrView.bind('pixel_resolution_value'),
      },

      v:popup_menu {
         value = LrView.bind('pixel_resolution_units'),
         width_in_chars = util.WinMac(9,8),
         items = { { title = LOC("$$$/135=pixels per inch"), value = 'inch' },
                   { title = LOC("$$$/136=pixels per cm"),   value = 'cm'   } },
      },

   }

end


function resolution.exportPresetFields()

   return {
      { key = 'pixel_resolution_value',    default = 300     },
      { key = 'pixel_resolution_units',    default = 'inch'  },
   }

end

return resolution