--
-- Copyright 2008 Jeffrey Friedl
-- http://regex.info/blog/
--

local LrView = import 'LrView'
local LrHttp = import 'LrHttp'
translator_info = {}

function translator_info.dialog_section(v, state)

   local by  = LOC("$$$/TranslatedBy=")  -- will be set in the TranslatedStrings_??.txt file
   local url = LOC("$$$/TranslatorUrl=") -- will be set in the TranslatedStrings_??.txt file

   if by == "" then
      return v:spacer {}
   end

   local row = {
      margin_top = 15,
      v:static_text {
         title = by
      }
   }

   if url ~= "" then

      table.insert(row,
                   v:push_button {
                      size = "mini",
                      title = "  " .. url .. "  ",
                      tooltip = LOC("$$$/110=Press to open ^1 in your browser", url),
                      action = function(button)
                                  LrHttp.openUrlInBrowser(url)
                                 end,
                   })
   end

   return v:row(row)
end


return translator_info
